## ignition-citadel 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-citadel VERSION 1.0.2)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake2 2.9 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project()

# all list of citadel packages

ign_find_package(ignition-common3 REQUIRED VERSION 3.14)
ign_find_package(ignition-fuel_tools4 REQUIRED VERSION 4.4)
ign_find_package(ignition-gazebo3 REQUIRED VERSION 3.12)
ign_find_package(ignition-gui3 REQUIRED VERSION 3.8)
ign_find_package(ignition-launch2 REQUIRED VERSION 2.2.2)
ign_find_package(ignition-math6 REQUIRED VERSION 6.9.2)
ign_find_package(ignition-msgs5 REQUIRED VERSION 5.8.1)
ign_find_package(ignition-physics2 REQUIRED VERSION 2.5)
ign_find_package(ignition-plugin1 REQUIRED VERSION 1.2.1)
ign_find_package(ignition-rendering3 REQUIRED VERSION 3.6)
ign_find_package(ignition-sensors3 REQUIRED VERSION 3.3)
ign_find_package(ignition-transport8 REQUIRED VERSION 8.2.1)
ign_find_package(sdformat9 REQUIRED VERSION 9.7.0)

if(build_warnings)
  set(all_warnings " CONFIGURATION WARNINGS:")
  foreach (msg ${build_warnings})
    ign_string_append(all_warnings " -- ${msg}" DELIM "\n")
  endforeach ()
  message(WARNING "${all_warnings}")
endif (build_warnings)

if(build_errors)
  message(SEND_ERROR "-- BUILD ERRORS: These must be resolved before compiling.")
  foreach(msg ${build_errors})
    message(SEND_ERROR "-- ${msg}")
  endforeach()
  message(SEND_ERROR "-- END BUILD ERRORS\n")

  set(error_str "Errors encountered in build. Please see BUILD ERRORS above.")

  message(FATAL_ERROR "${error_str}")

endif()

install(DIRECTORY gazebodistro DESTINATION ${IGN_DATA_INSTALL_DIR})

=== debian/changelog ===
ignition-citadel (1.0.2-2~focal) focal; urgency=medium

  * ignition-citadel 1.0.2-2 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 15 Aug 2022 17:24:39 -0700

ignition-citadel (1.0.2-1~focal) focal; urgency=medium

  * ignition-citadel 1.0.2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 11 Nov 2021 16:08:38 -0800

ignition-citadel (1.0.1-1~focal) focal; urgency=medium

  * ignition-citadel 1.0.1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Fri, 09 Oct 2020 15:23:28 -0700

ignition-citadel (1.0.0-1~focal) focal; urgency=medium

  * ignition-citadel 1.0.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 11 Dec 2019 01:38:30 +0100

=== debian/control ===
Source: ignition-citadel
Standards-Version: 3.9.5
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
         libignition-cmake2-dev (>= 2.9.0),
         libignition-common3-dev (>= 3.14.0),
         libignition-fuel-tools4-dev (>= 4.4.0),
         libignition-gazebo3-dev (>= 3.12.0),
         libignition-gui3-dev (>= 3.8.0),
         libignition-launch2-dev (>= 2.2.2),
         libignition-math6-dev (>= 6.9.2),
         libignition-math6-eigen3-dev (>= 6.9.2),
         libignition-msgs5-dev (>= 5.8.1),
         libignition-plugin-dev (>= 1.2.1),
         libignition-physics2-dev (>= 2.5.0),
         libignition-sensors3-dev (>= 3.3.0),
         libignition-rendering3-dev (>= 3.6.0),
         libignition-tools-dev (>= 1.4.1),
         libignition-transport8-dev (>= 8.2.1),
         libsdformat9-dev (>= 9.7.0)
Vcs-Browser: https://github.com/gazebosim/gz-citadel-release
Vcs-Git: https://github.com/gazebosim/gz-citadel-release
Homepage: http://gazebosim.org/

Package: ignition-citadel
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.9.0),
         libignition-common3-dev (>= 3.14.0),
         libignition-fuel-tools4-dev (>= 4.4.0),
         libignition-gazebo3-dev (>= 3.12.0),
         libignition-gui3-dev (>= 3.8.0),
         libignition-launch2-dev (>= 2.2.2),
         libignition-math6-dev (>= 6.9.2),
         libignition-math6-eigen3-dev (>= 6.9.2),
         libignition-msgs5-dev (>= 5.8.1),
         libignition-plugin-dev (>= 1.2.1),
         libignition-physics2-dev (>= 2.5.0),
         libignition-sensors3-dev (>= 3.3.0),
         libignition-rendering3-dev (>= 3.6.0),
         libignition-tools-dev (>= 1.4.1),
         libignition-transport8-dev (>= 8.2.1),
         libsdformat9-dev (>= 9.7.0)
         ${misc:Depends}
Multi-Arch: foreign
Description: Collection of Gazebo packages - Citadel
  This is a metapackage used for triggering the whole collection of Gazebo
  packages corresponding to the Citadel collection

Package: gz-citadel
Depends: ignition-citadel, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.
